Subject: Notification: incoming/1335

From: [email-masked]
Date: Tue, 29 Jun 2004 20:41:45 -0500

FVWM Bug Tracking notification

scott changed notes

Message summary for PR#1335
	From: [email-masked]
	Subject: FakeClick generates EnterNotify event
	Date: Tue, 29 Jun 2004 12:51:06 -0500
	0 replies 	0 followups
	Notes: Tue Jun 29 20:41:45 2004	scott	> I use FakeClick to intercept clicks in
some windows, and pass the click to
> the others ...

The correct way to do this now is with a window-specific binding. ie.

Mouse (rxvt) 1 A N Echo "mouse1-in-rxvt"
Mouse (xterm) 1 A N Echo "mouse1-in-xterm"

Note that this feature is currently in CVS & will be available in 2.5.11.

> xdvi should react to such a click

I can't reproduce your problem. It worked fine for me with:

sleep 2 && FvwmCommand 'FakeClick depth 0 press 1'

The sleep is so I have time to move the mouse cursor to the xdvi window.

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Tue Jun 29 12:51:06 2004
Date: Tue, 29 Jun 2004 12:51:06 -0500
From: [email-masked]
To: [email-masked]
Subject: FakeClick generates EnterNotify event

Full_Name: Piotr Zielinski
Version: 2.5.10
CVS_Date: 
OS: Red Hat Linux 9
X_Server: 4.3.0
Submission from: (NULL) (128.232.8.138)

I use FakeClick to intercept clicks in some windows, and pass the click to
the others, for example

AddToFunc HandleClick
+ I PointerWindow (FvwmPager) DoSomethingSpecial
+ I PointerWindow (!FvwmPager) FakeClick depth 0 press 1

This sometimes doesn't work.  For example, in xdvi should react to such a
click by displaying a window containing a magnified version of some part of
the document as long as the button it pressed.  It does not.  Using xev I
discovered that FakeClick produces an additional EnterNotify event just
after the button has been pressed.  Is this a bug?

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]